Bug 1125430 - jboss-eap6-index is no longer needed
Summary: jboss-eap6-index is no longer needed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Brenton Leanhardt
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 19:36 UTC by Brenton Leanhardt
Modified: 2014-10-02 13:59 UTC (History)
6 users (show)

Fixed In Version: openshift-origin-cartridge-jbosseap-2.16.3.6-1
Doc Type: Bug Fix
Doc Text:
Because JBoss EAP 6.1 no longer requires modules index files, the jboss-eap6-index package became obsolete. This bug fix removes the jboss-eap6-index package dependency from the JBoss EAP cartridge. Administrators can decide whether or not to remove this package from all node hosts. It is likely that the upgrade process to OpenShift Enterprise 2.2 will perform this step automatically.
Clone Of:
Environment:
Last Closed: 2014-10-02 13:59:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1353 normal SHIPPED_LIVE Red Hat OpenShift Enterprise 2.1.7 bug fix and enhancement update 2014-10-02 17:59:00 UTC

Description Brenton Leanhardt 2014-07-31 19:36:44 UTC
Description of problem:

jboss-eap6-index is a package we shipped for earlier EAP release.  Apparently EAP no longer needs these index files so we should remove this package.

Comment 2 openshift-github-bot 2014-09-08 18:43:29 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/3152744a94d50b942cbe3c130aaba7a5f048ad5d
Bug 1125430 - jboss-eap6-index is no longer needed

Comment 5 Gaoyun Pei 2014-09-11 02:21:04 UTC
Verify this bug with package openshift-origin-cartridge-jbosseap-2.16.3.6-1.el6op.noarch on puddle 2.1.z/2014-09-10.1
jboss-eap6-index was removed from the dependency list of jbosseap cartridge.

[root@node2 ~]# rpm -qR openshift-origin-cartridge-jbosseap |grep jboss-eap6-index
[root@node2 ~]# 
[root@node2 ~]# rpm -qa|grep jboss-eap6-index
[root@node2 ~]#

Comment 7 errata-xmlrpc 2014-10-02 13:59:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1353.html


Note You need to log in before you can comment on or make changes to this bug.